<template>
<div>
  <div class="m-auto w-4/8 py-12">
    <div class="text-center">
      <h1 class="text-5xl uppercase bold">
        Editar medico
      </h1>
    </div>
  </div>
  <div class="flex justify-center pt-10">
    <form @submit.prevent="update">
      <div class="block">
        <input type="text"
        class="block w-80 mb-5 p-2 italic placeholder-gray-400"
        id="nombre" v-model="form.nombre" 
        placeholder="Editar nombre..."/>
        <input type="text"
        class="block w-80 mb-5 p-2 italic placeholder-gray-400"
        id="apellido" v-model="form.apellido"
        placeholder="Editar apellido..."/>
        <input type="text"
        class="block w-80 mb-5 p-2 italic placeholder-gray-400"
        id="especialidad" v-model="form.especialidad" 
        placeholder="Editar especialidad..."/>
        <button type="submit"
        class="bg-green-500 block shadow-5xl w-80 uppercase mb-5 p-2">Agregar</button>
      </div>
    </form>
  </div>
</div>
</template>

<script>
export default {
  data() {
    return {
      form: this.$inertia.form({
        id: this.medico.id,
        nombre: this.medico.nombre,
        apellido: this.medico.apellido,
        especialidad: this.medico.especialidad,
      }),
    }
  },
  props: {
    medico: Object,
  },
  methods: {
    update() {
      this.form.put(this.route('medicos.update', 
      this.form))
    },
  },
  created(){
    // console.log(this.medico.update_url)
  }
}
</script>